import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:flutterskel/resources/themes/ThemeResources.dart';

import '../colors/AppColors.dart';
import '../dimensions/AppDimensions.dart';
import '../fonts/AppFonts.dart';

class AppTheme extends ThemeResources<AppDimensions, AppColors, AppFonts> {

  AppTheme({
    @required AppDimensions dimensions,
    @required AppColors colors,
    @required AppFonts fonts,
    @required ThemeData materialTheme
  }) : super(dimensions: dimensions, colors: colors, fonts: fonts, materialTheme: materialTheme);

}